Bug 55133 - mdstat displays incorrect resync completion percentage
Summary: mdstat displays incorrect resync completion percentage
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i686 Linux
medium
low
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-26 01:16 UTC by Philip Pokorny
Modified: 2007-04-18 16:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-26 05:42:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Philip Pokorny 2001-10-26 01:16:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.73 [en] (X11; U; Linux 2.2.16-3 i586)

Description of problem:
During a mirror resync, /proc/mdstat displays the wrong total size for a
mirror and therefore mis-calculates the %complete.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a RAID1 meta device  
2. Use "watch cat /proc/mdstat" to monitor progress
3. Note that it finishes at 50% complete and that the sizes reported are
incorrect.
	

Actual Results:  A given RAID volume finishes it's resync after reaching
50% complete.

Expected Results:  A given RAID volume should go from 0% to 100% complete.

Additional info:

Didn't see this in 7.1 for sure.  Probably not in 7.2 Enigma...

Comment 1 Jim Wright 2002-10-26 05:42:06 UTC
based on recent observations this is fixed.  can be closed.


Note You need to log in before you can comment on or make changes to this bug.